/* ========================================================
			SERIAL KILLER OXP

This is a modification of EXPLORERS' CLUB OXP 
by "Capt. Murphy" & "Wildeblood".

copyright:   2011, 2012 Steve Murphy 
             2013, 2014, 2024 Karl Smith
licence:     "CC BY-NC-SA 3.0"
description: Worldscript to record unique systems visited.

This modification sets the Explorers' Club recording 
function to "Visiting option 99, serial killer".
No other changes are made. While this OXP is present the 
game will always start with visiting option set to 99, but 
can be changed to one of the usual three options in-game, 
as usual.
=========================================================== */

this.name    = "Serial Killer"; 
this.version = "1.0";

/* ========================================================
			FUNCTIONS TO RECORD VISITS

 After any ship kill, attempt to add current system to the 
 record array.
=========================================================== */

    // Visiting option 99, serial killer.

    this.shipKilledOther = function () {
        "use strict";
        var ws = worldScripts.["Explorers Club"];
        if (ws.$xc_visitOption === 99) {
            ws._recordVisit();
        }
    }

/* ========================================================
			INITIALIZATION
=========================================================== */

    this.startUp = function () {
        "use strict";
        if (!worldScripts.["Explorers Club"]) {
            var message = "Warning: Explorers' Club is not installed. Serial Killer OXP disabled.";
            log(this.name, message);
            player.consoleMessage(message, 10);
            for (prop in this) {
                if (prop !== "name" && prop !== "version") {
                    delete this[prop];
                }
            }
            return;
        }
        delete this.startUp;
    }

    this.startUpComplete = function () {
        "use strict";
        worldScripts.["Explorers Club"].$xc_visitOption = 99;
        delete this.startUpComplete;
    }

/* ========================================================
			THE END
=========================================================== */